package com.mcwl.system.domain.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通知枚举
 */
@Getter
@AllArgsConstructor
public enum AdviceEnum {

    /**
     * 新消息通知
     */
    NEW_MESSAGE_REMIND("newMessageRemind", "新消息通知"),

    /**
     * 系统公告
     */
    SYSTEM_NOTICE("systemNotice", "系统通知"),

    /**
     * 邮件通知
     */
    EMAIL_REMIND("emailRemind", "邮件通知"),

    /**
     * 短信通知
     */
    SMS_REMIND("smsRemind", "短信通知"),

    /**
     * 推送通知
     */
    PUSH_REMIND("pushRemind", "推送通知"),

    /**
     * 点赞通知
     */
    LIKE_REMIND("likeRemind", "点赞通知"),
    /**
     * 评论通知
     */
    COMMENT_REMIND("commentRemind", "评论回复通知"),
    /**
     * 粉丝通知
     */
    FANS_REMIND("fansRemind", "粉丝通知"),
    /**
     * 私信通知
     */
    PRIVATE_MESSAGE_REMIND("privateMessageRemind", "私信通知");

    private final String name;

    @EnumValue
    private final String value;


}
